Get Slack installation details
curl --request GET \
--url https://semgrep.dev/api/agent/deployments/{deploymentId}/slack/installations \
--header 'Authorization: Bearer <token>'import requests
url = "https://semgrep.dev/api/agent/deployments/{deploymentId}/slack/installations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://semgrep.dev/api/agent/deployments/{deploymentId}/slack/installations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployment_id": 123,
"client_id": "<string>",
"app_id": "<string>",
"enterprise_name": "<string>",
"enterprise_url": "<string>",
"team_name": "<string>",
"update_available": true,
"archived": true
}Slack
Get Slack installation details
Retrieves Slack app installation details for a deployment
GET
/
api
/
agent
/
deployments
/
{deploymentId}
/
slack
/
installations
Get Slack installation details
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
Get access to data with your user's JSON Web Token.
Path Parameters
Was this page helpful?
⌘I